Page MenuHomePhabricator

efl_ui_win: add "focused" and "unfocused" signals emission
ClosedPublic

Authored by YOhoho on Apr 11 2018, 11:55 PM.

Details

Summary

Win is root of focus manager. it means Win is logical node and "focused" and
"unfocused" signals in Win aren't handled by focus manager.
Win needs to emit the signals itself.

Reported by eagleeye, jsuya

Test Plan
  1. elementary_test -to 'window states'
  2. Check that "WIN FOCUS: focused" and "WIN FOCUS: unfocused" printed.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Apr 11 2018, 11:55 PM
YOhoho requested review of this revision.Apr 11 2018, 11:55 PM
YOhoho updated this revision to Diff 14134.EditedApr 11 2018, 11:58 PM

fix reversed function call

Uuuhm, why should we emit this ? They dont get widget focus ... widget focus goes to the focused widget, not the window...

Uuuhm, why should we emit this ? They dont get widget focus ... widget focus goes to the focused widget, not the window...

because Efl.Ui.Win is widget..

Yeah, box is also a widget and never gets focus, its children are getting the focus... Same for win.

Yeah, box is also a widget and never gets focus, its children are getting the focus... Same for win.

https://docs.enlightenment.org/auto/group__Elm__Win.html
https://docs.enlightenment.org/auto/group__Elm__Box.html

Win have supported "focused" and "unfocused". but Box don't have them. that signals needed for backward compatibility.

Ouh come on!

Yeah ... than this is okay.

Why is there stuff like this defined ? :(

bu5hm4n accepted this revision.Apr 12 2018, 1:26 AM
This revision is now accepted and ready to land.Apr 12 2018, 1:26 AM
Closed by commit rEFL1d182a44f31d: efl_ui_win: add "focused" and "unfocused" signals emission (authored by YOhoho, committed by Marcel Hollerbach <marcel@osg.samsung.com>). · Explain WhyApr 13 2018, 2:08 AM
This revision was automatically updated to reflect the committed changes.